#ifndef MSP_INPUT_MOUSE_H_
#define MSP_INPUT_MOUSE_H_

#include <msp/graphics/window.h>
#include "device.h"

namespace Msp {
namespace Input {

/**
Mouse device.  Receives events from a Graphics::Window and presents them in a
uniform way.

Note: Y axis grows upwards.
*/
class Mouse: public Device
{
private:
	Graphics::Window &window;

public:
	Mouse(Graphics::Window &);
	virtual std::string get_button_name(unsigned) const;
	virtual std::string get_axis_name(unsigned) const;
private:
	void input_event(const Graphics::Window::Event &);
};

} // namespace Input
} // namespace Msp

#endif
